/*===========================================================================*/
/*   (Eval/macro.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Eval/macro.scm -indent -o objs/obj_u/Eval/macro.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
static obj_t BGl_za2macrozd2tableza2zd2zz__macroz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl__getzd2evalzd2expanderz00zz__macroz00(obj_t, obj_t);
static obj_t BGl_symbol1864z00zz__macroz00 = BUNSPEC;
static obj_t BGl__installzd2expanderzd2zz__macroz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__macroz00();
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__macroz00();
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl__installzd2evalzd2expanderz00zz__macroz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__macroz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t, obj_t);
static obj_t BGl__installzd2compilerzd2expanderz00zz__macroz00(obj_t, obj_t, obj_t);
static obj_t BGl__getzd2compilerzd2expanderz00zz__macroz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__macroz00();
BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1869z00zz__macroz00, BgL_bgl_string1869za700za7za7__macroza7001876z00, "install-compiler-expander", 25 );
DEFINE_STRING( BGl_string1868z00zz__macroz00, BgL_bgl_string1868za700za7za7__macroza7001877z00, "Illegal expander keyword", 24 );
DEFINE_STRING( BGl_string1867z00zz__macroz00, BgL_bgl_string1867za700za7za7__macroza7001878z00, "Illegal expander expander", 25 );
DEFINE_STRING( BGl_string1866z00zz__macroz00, BgL_bgl_string1866za700za7za7__macroza7001879z00, "install-eval-expander", 21 );
DEFINE_STRING( BGl_string1865z00zz__macroz00, BgL_bgl_string1865za700za7za7__macroza7001880z00, "Redefinition of expander -- ", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_installzd2evalzd2expanderzd2envzd2zz__macroz00, BgL_bgl__installza7d2evalza7d2expanderza700za7za7__macroza7001881z00, BGl__installzd2evalzd2expanderz00zz__macroz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2compilerzd2expanderzd2envzd2zz__macroz00, BgL_bgl__getza7d2compilerza7d2expanderza700za7za7__macroza7001882z00, BGl__getzd2compilerzd2expanderz00zz__macroz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_installzd2compilerzd2expanderzd2envzd2zz__macroz00, BgL_bgl__installza7d2compilerza7d2expanderza700za7za7__macroza7001883z00, BGl__installzd2compilerzd2expanderz00zz__macroz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_installzd2expanderzd2envz00zz__macroz00, BgL_bgl__installza7d2expanderza7d2za7za7__macroza7001884za7, BGl__installzd2expanderzd2zz__macroz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2evalzd2expanderzd2envzd2zz__macroz00, BgL_bgl__getza7d2evalza7d2expanderza700za7za7__macroza7001885z00, BGl__getzd2evalzd2expanderz00zz__macroz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long BgL_checksumz00_794, char * BgL_fromz00_795)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__macroz00))
{ 
BGl_requirezd2initializa7ationz75zz__macroz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__macroz00(); 
BGl_importedzd2moduleszd2initz00zz__macroz00(); 
BGl_toplevelzd2initzd2zz__macroz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__macroz00()
{ AN_OBJECT;
{ /* ./Eval/macro.scm 14 */
return ( 
BGl_symbol1864z00zz__macroz00 = 
string_to_symbol("macros"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__macroz00()
{ AN_OBJECT;
{ /* ./Eval/macro.scm 14 */
return ( 
BGl_za2macrozd2tableza2zd2zz__macroz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* install-eval-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_15, obj_t BgL_expanderz00_16)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 64 */
if(
SYMBOLP(BgL_keywordz00_15))
{ /* ./Eval/macro.scm 66 */
if(
PROCEDUREP(BgL_expanderz00_16))
{ /* ./Eval/macro.scm 68 */
{ /* ./Eval/macro.scm 71 */
obj_t BgL_macroz00_394;
BgL_macroz00_394 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_15); 
{ /* ./Eval/macro.scm 72 */
bool_t BgL_test1041z00_395;
{ /* ./Eval/macro.scm 72 */
obj_t BgL_oz00_617;
BgL_oz00_617 = BgL_macroz00_394; 
if(
STRUCTP(BgL_oz00_617))
{ /* ./Eval/macro.scm 72 */
obj_t BgL_auxz00_811;
BgL_auxz00_811 = 
STRUCT_KEY(BgL_oz00_617); 
BgL_test1041z00_395 = 
(BgL_auxz00_811==BGl_symbol1864z00zz__macroz00); }  else 
{ /* ./Eval/macro.scm 72 */
BgL_test1041z00_395 = ((bool_t)0); } } 
if(BgL_test1041z00_395)
{ /* ./Eval/macro.scm 72 */BFALSE; }  else 
{ /* ./Eval/macro.scm 72 */
{ /* ./Eval/macro.scm 74 */
obj_t BgL_newz00_627;
{ /* ./Eval/macro.scm 74 */
int BgL_auxz00_815;
BgL_auxz00_815 = 
(int)(((long)3)); 
BgL_newz00_627 = 
create_struct(BGl_symbol1864z00zz__macroz00, BgL_auxz00_815); } 
{ /* ./Eval/macro.scm 74 */
int BgL_auxz00_818;
BgL_auxz00_818 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_627, BgL_auxz00_818, BFALSE); } 
{ /* ./Eval/macro.scm 74 */
int BgL_auxz00_821;
BgL_auxz00_821 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_627, BgL_auxz00_821, BFALSE); } 
{ /* ./Eval/macro.scm 74 */
int BgL_auxz00_824;
BgL_auxz00_824 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_627, BgL_auxz00_824, BgL_keywordz00_15); } 
BgL_macroz00_394 = BgL_newz00_627; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_15, BgL_macroz00_394); } } 
{ /* ./Eval/macro.scm 77 */
bool_t BgL_test1045z00_396;
{ /* ./Eval/macro.scm 77 */
obj_t BgL_sz00_643;
BgL_sz00_643 = BgL_macroz00_394; 
{ /* ./Eval/macro.scm 77 */
obj_t BgL_auxz00_828;
{ /* ./Eval/macro.scm 77 */
int BgL_auxz00_829;
BgL_auxz00_829 = 
(int)(((long)1)); 
BgL_auxz00_828 = 
STRUCT_REF(BgL_sz00_643, BgL_auxz00_829); } 
BgL_test1045z00_396 = 
CBOOL(BgL_auxz00_828); } } 
if(BgL_test1045z00_396)
{ /* ./Eval/macro.scm 78 */
obj_t BgL_list1047z00_397;
{ /* ./Eval/macro.scm 78 */
obj_t BgL_arg1050z00_399;
{ /* ./Eval/macro.scm 78 */
obj_t BgL_arg1054z00_401;
BgL_arg1054z00_401 = 
MAKE_PAIR(BgL_keywordz00_15, BNIL); 
BgL_arg1050z00_399 = 
MAKE_PAIR(BGl_string1865z00zz__macroz00, BgL_arg1054z00_401); } 
BgL_list1047z00_397 = 
MAKE_PAIR(BGl_string1866z00zz__macroz00, BgL_arg1050z00_399); } 
BGl_warningz00zz__errorz00(BgL_list1047z00_397); }  else 
{ /* ./Eval/macro.scm 77 */BFALSE; } } 
{ /* ./Eval/macro.scm 81 */
int BgL_auxz00_838;
BgL_auxz00_838 = 
(int)(((long)1)); 
return 
STRUCT_SET(BgL_macroz00_394, BgL_auxz00_838, BgL_expanderz00_16);} } }  else 
{ /* ./Eval/macro.scm 68 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1867z00zz__macroz00,BgL_expanderz00_16);} }  else 
{ /* ./Eval/macro.scm 66 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1868z00zz__macroz00,BgL_keywordz00_15);} } 
}



/* _install-eval-expander */
obj_t BGl__installzd2evalzd2expanderz00zz__macroz00(obj_t BgL_envz00_780, obj_t BgL_keywordz00_781, obj_t BgL_expanderz00_782)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 64 */
return 
BGl_installzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_781, BgL_expanderz00_782);} 
}



/* install-compiler-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_17, obj_t BgL_expanderz00_18)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 88 */
if(
SYMBOLP(BgL_keywordz00_17))
{ /* ./Eval/macro.scm 90 */
if(
PROCEDUREP(BgL_expanderz00_18))
{ /* ./Eval/macro.scm 92 */
{ /* ./Eval/macro.scm 95 */
obj_t BgL_macroz00_404;
BgL_macroz00_404 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_17); 
{ /* ./Eval/macro.scm 96 */
bool_t BgL_test1066z00_405;
{ /* ./Eval/macro.scm 96 */
obj_t BgL_oz00_659;
BgL_oz00_659 = BgL_macroz00_404; 
if(
STRUCTP(BgL_oz00_659))
{ /* ./Eval/macro.scm 96 */
obj_t BgL_auxz00_851;
BgL_auxz00_851 = 
STRUCT_KEY(BgL_oz00_659); 
BgL_test1066z00_405 = 
(BgL_auxz00_851==BGl_symbol1864z00zz__macroz00); }  else 
{ /* ./Eval/macro.scm 96 */
BgL_test1066z00_405 = ((bool_t)0); } } 
if(BgL_test1066z00_405)
{ /* ./Eval/macro.scm 96 */BFALSE; }  else 
{ /* ./Eval/macro.scm 96 */
{ /* ./Eval/macro.scm 98 */
obj_t BgL_newz00_669;
{ /* ./Eval/macro.scm 98 */
int BgL_auxz00_855;
BgL_auxz00_855 = 
(int)(((long)3)); 
BgL_newz00_669 = 
create_struct(BGl_symbol1864z00zz__macroz00, BgL_auxz00_855); } 
{ /* ./Eval/macro.scm 98 */
int BgL_auxz00_858;
BgL_auxz00_858 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_669, BgL_auxz00_858, BFALSE); } 
{ /* ./Eval/macro.scm 98 */
int BgL_auxz00_861;
BgL_auxz00_861 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_669, BgL_auxz00_861, BFALSE); } 
{ /* ./Eval/macro.scm 98 */
int BgL_auxz00_864;
BgL_auxz00_864 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_669, BgL_auxz00_864, BgL_keywordz00_17); } 
BgL_macroz00_404 = BgL_newz00_669; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_17, BgL_macroz00_404); } } 
{ /* ./Eval/macro.scm 101 */
bool_t BgL_test1070z00_406;
{ /* ./Eval/macro.scm 101 */
obj_t BgL_sz00_685;
BgL_sz00_685 = BgL_macroz00_404; 
{ /* ./Eval/macro.scm 101 */
obj_t BgL_auxz00_868;
{ /* ./Eval/macro.scm 101 */
int BgL_auxz00_869;
BgL_auxz00_869 = 
(int)(((long)2)); 
BgL_auxz00_868 = 
STRUCT_REF(BgL_sz00_685, BgL_auxz00_869); } 
BgL_test1070z00_406 = 
CBOOL(BgL_auxz00_868); } } 
if(BgL_test1070z00_406)
{ /* ./Eval/macro.scm 102 */
obj_t BgL_list1072z00_407;
{ /* ./Eval/macro.scm 102 */
obj_t BgL_arg1076z00_409;
{ /* ./Eval/macro.scm 102 */
obj_t BgL_arg1080z00_411;
BgL_arg1080z00_411 = 
MAKE_PAIR(BgL_keywordz00_17, BNIL); 
BgL_arg1076z00_409 = 
MAKE_PAIR(BGl_string1865z00zz__macroz00, BgL_arg1080z00_411); } 
BgL_list1072z00_407 = 
MAKE_PAIR(BGl_string1869z00zz__macroz00, BgL_arg1076z00_409); } 
BGl_warningz00zz__errorz00(BgL_list1072z00_407); }  else 
{ /* ./Eval/macro.scm 101 */BFALSE; } } 
{ /* ./Eval/macro.scm 105 */
int BgL_auxz00_878;
BgL_auxz00_878 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_macroz00_404, BgL_auxz00_878, BgL_expanderz00_18);} } }  else 
{ /* ./Eval/macro.scm 92 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1867z00zz__macroz00,BgL_expanderz00_18);} }  else 
{ /* ./Eval/macro.scm 90 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1868z00zz__macroz00,BgL_keywordz00_17);} } 
}



/* _install-compiler-expander */
obj_t BGl__installzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_envz00_783, obj_t BgL_keywordz00_784, obj_t BgL_expanderz00_785)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 88 */
return 
BGl_installzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_784, BgL_expanderz00_785);} 
}



/* install-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t BgL_keywordz00_19, obj_t BgL_expanderz00_20)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 112 */
if(
SYMBOLP(BgL_keywordz00_19))
{ /* ./Eval/macro.scm 114 */
if(
PROCEDUREP(BgL_expanderz00_20))
{ /* ./Eval/macro.scm 116 */
{ /* ./Eval/macro.scm 119 */
obj_t BgL_macroz00_414;
BgL_macroz00_414 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_19); 
{ /* ./Eval/macro.scm 120 */
bool_t BgL_test1092z00_415;
{ /* ./Eval/macro.scm 120 */
obj_t BgL_oz00_701;
BgL_oz00_701 = BgL_macroz00_414; 
if(
STRUCTP(BgL_oz00_701))
{ /* ./Eval/macro.scm 120 */
obj_t BgL_auxz00_891;
BgL_auxz00_891 = 
STRUCT_KEY(BgL_oz00_701); 
BgL_test1092z00_415 = 
(BgL_auxz00_891==BGl_symbol1864z00zz__macroz00); }  else 
{ /* ./Eval/macro.scm 120 */
BgL_test1092z00_415 = ((bool_t)0); } } 
if(BgL_test1092z00_415)
{ /* ./Eval/macro.scm 120 */BFALSE; }  else 
{ /* ./Eval/macro.scm 120 */
{ /* ./Eval/macro.scm 122 */
obj_t BgL_newz00_711;
{ /* ./Eval/macro.scm 122 */
int BgL_auxz00_895;
BgL_auxz00_895 = 
(int)(((long)3)); 
BgL_newz00_711 = 
create_struct(BGl_symbol1864z00zz__macroz00, BgL_auxz00_895); } 
{ /* ./Eval/macro.scm 122 */
int BgL_auxz00_898;
BgL_auxz00_898 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_711, BgL_auxz00_898, BFALSE); } 
{ /* ./Eval/macro.scm 122 */
int BgL_auxz00_901;
BgL_auxz00_901 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_711, BgL_auxz00_901, BFALSE); } 
{ /* ./Eval/macro.scm 122 */
int BgL_auxz00_904;
BgL_auxz00_904 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_711, BgL_auxz00_904, BgL_keywordz00_19); } 
BgL_macroz00_414 = BgL_newz00_711; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_19, BgL_macroz00_414); } } 
{ /* ./Eval/macro.scm 125 */
bool_t BgL_test1096z00_416;
{ /* ./Eval/macro.scm 125 */
obj_t BgL_sz00_727;
BgL_sz00_727 = BgL_macroz00_414; 
{ /* ./Eval/macro.scm 125 */
obj_t BgL_auxz00_908;
{ /* ./Eval/macro.scm 125 */
int BgL_auxz00_909;
BgL_auxz00_909 = 
(int)(((long)1)); 
BgL_auxz00_908 = 
STRUCT_REF(BgL_sz00_727, BgL_auxz00_909); } 
BgL_test1096z00_416 = 
CBOOL(BgL_auxz00_908); } } 
if(BgL_test1096z00_416)
{ /* ./Eval/macro.scm 126 */
obj_t BgL_list1098z00_417;
{ /* ./Eval/macro.scm 126 */
obj_t BgL_arg1101z00_419;
{ /* ./Eval/macro.scm 126 */
obj_t BgL_arg1105z00_421;
BgL_arg1105z00_421 = 
MAKE_PAIR(BgL_keywordz00_19, BNIL); 
BgL_arg1101z00_419 = 
MAKE_PAIR(BGl_string1865z00zz__macroz00, BgL_arg1105z00_421); } 
BgL_list1098z00_417 = 
MAKE_PAIR(BGl_string1866z00zz__macroz00, BgL_arg1101z00_419); } 
BGl_warningz00zz__errorz00(BgL_list1098z00_417); }  else 
{ /* ./Eval/macro.scm 125 */BFALSE; } } 
{ /* ./Eval/macro.scm 130 */
bool_t BgL_test1109z00_422;
{ /* ./Eval/macro.scm 130 */
obj_t BgL_sz00_730;
BgL_sz00_730 = BgL_macroz00_414; 
{ /* ./Eval/macro.scm 130 */
obj_t BgL_auxz00_918;
{ /* ./Eval/macro.scm 130 */
int BgL_auxz00_919;
BgL_auxz00_919 = 
(int)(((long)2)); 
BgL_auxz00_918 = 
STRUCT_REF(BgL_sz00_730, BgL_auxz00_919); } 
BgL_test1109z00_422 = 
CBOOL(BgL_auxz00_918); } } 
if(BgL_test1109z00_422)
{ /* ./Eval/macro.scm 131 */
obj_t BgL_list1111z00_423;
{ /* ./Eval/macro.scm 131 */
obj_t BgL_arg1114z00_425;
{ /* ./Eval/macro.scm 131 */
obj_t BgL_arg1118z00_427;
BgL_arg1118z00_427 = 
MAKE_PAIR(BgL_keywordz00_19, BNIL); 
BgL_arg1114z00_425 = 
MAKE_PAIR(BGl_string1865z00zz__macroz00, BgL_arg1118z00_427); } 
BgL_list1111z00_423 = 
MAKE_PAIR(BGl_string1869z00zz__macroz00, BgL_arg1114z00_425); } 
BGl_warningz00zz__errorz00(BgL_list1111z00_423); }  else 
{ /* ./Eval/macro.scm 130 */BFALSE; } } 
{ /* ./Eval/macro.scm 135 */
int BgL_auxz00_928;
BgL_auxz00_928 = 
(int)(((long)1)); 
STRUCT_SET(BgL_macroz00_414, BgL_auxz00_928, BgL_expanderz00_20); } 
{ /* ./Eval/macro.scm 136 */
int BgL_auxz00_931;
BgL_auxz00_931 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_macroz00_414, BgL_auxz00_931, BgL_expanderz00_20);} } }  else 
{ /* ./Eval/macro.scm 116 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1867z00zz__macroz00,BgL_expanderz00_20);} }  else 
{ /* ./Eval/macro.scm 114 */
FAILURE(BGl_string1866z00zz__macroz00,BGl_string1868z00zz__macroz00,BgL_keywordz00_19);} } 
}



/* _install-expander */
obj_t BGl__installzd2expanderzd2zz__macroz00(obj_t BgL_envz00_786, obj_t BgL_keywordz00_787, obj_t BgL_expanderz00_788)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 112 */
return 
BGl_installzd2expanderzd2zz__macroz00(BgL_keywordz00_787, BgL_expanderz00_788);} 
}



/* get-eval-expander */
BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_21)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 143 */
{ /* ./Eval/macro.scm 144 */
obj_t BgL_macroz00_749;
BgL_macroz00_749 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_21); 
{ /* ./Eval/macro.scm 144 */
bool_t BgL_testz00_938;
if(
STRUCTP(BgL_macroz00_749))
{ /* ./Eval/macro.scm 144 */
obj_t BgL_auxz00_941;
BgL_auxz00_941 = 
STRUCT_KEY(BgL_macroz00_749); 
BgL_testz00_938 = 
(BgL_auxz00_941==BGl_symbol1864z00zz__macroz00); }  else 
{ /* ./Eval/macro.scm 144 */
BgL_testz00_938 = ((bool_t)0)
; } 
if(BgL_testz00_938)
{ /* ./Eval/macro.scm 144 */
int BgL_auxz00_944;
BgL_auxz00_944 = 
(int)(((long)1)); 
return 
STRUCT_REF(BgL_macroz00_749, BgL_auxz00_944);}  else 
{ /* ./Eval/macro.scm 144 */
return BFALSE;} } } } 
}



/* _get-eval-expander */
obj_t BGl__getzd2evalzd2expanderz00zz__macroz00(obj_t BgL_envz00_789, obj_t BgL_keywordz00_790)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 143 */
return 
BGl_getzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_790);} 
}



/* get-compiler-expander */
BGL_EXPORTED_DEF obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_22)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 154 */
{ /* ./Eval/macro.scm 155 */
obj_t BgL_macroz00_761;
BgL_macroz00_761 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2macrozd2tableza2zd2zz__macroz00, BgL_keywordz00_22); 
{ /* ./Eval/macro.scm 155 */
bool_t BgL_testz00_949;
if(
STRUCTP(BgL_macroz00_761))
{ /* ./Eval/macro.scm 155 */
obj_t BgL_auxz00_952;
BgL_auxz00_952 = 
STRUCT_KEY(BgL_macroz00_761); 
BgL_testz00_949 = 
(BgL_auxz00_952==BGl_symbol1864z00zz__macroz00); }  else 
{ /* ./Eval/macro.scm 155 */
BgL_testz00_949 = ((bool_t)0)
; } 
if(BgL_testz00_949)
{ /* ./Eval/macro.scm 155 */
int BgL_auxz00_955;
BgL_auxz00_955 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_macroz00_761, BgL_auxz00_955);}  else 
{ /* ./Eval/macro.scm 155 */
return BFALSE;} } } } 
}



/* _get-compiler-expander */
obj_t BGl__getzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_envz00_791, obj_t BgL_keywordz00_792)
{ AN_OBJECT;
{ /* ./Eval/macro.scm 154 */
return 
BGl_getzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_792);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__macroz00()
{ AN_OBJECT;
{ /* ./Eval/macro.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__macro"); 
return 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)62825), "__macro");} 
}

